Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-03-2009 15:21:37

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

[Résolu] Problème entre Amarok et gnome

Bonjour,

J'ai installé Amarok (Très bon programme venant de KDE)
Sauf que quand je l'installe il m'installe aussi environ 75 paquets que je ne voulais pas mad Ils sont dans Applications -> Autre
Voilà pourquoi je suis sous gnome tongue
Depuis mon système se met à ramer sérieusement et ça m'énerve sad
En plus il tiennent à mon avis pas mal de place sur le dique dur.
Qu'est-ce que je peux faire pour supprimer tous ces paquets ?

Depuis mon installation de amarok sous gnome
Je reçois des message au démarrage du PC du genre

Un problème est survenu pendant l'établissement des communications inter-processus pour KDE. Le message renvoyé par le système est :
Could not open network socket
Veuillez vérifier que le programme " dcopserver " fonctionne !


Et depuis peu un nouveau message du genre

Un problème est survenu pendant l'établissement des communications inter-processus pour KDE. Le message renvoyé par le système est :
Could not read network connection list
/home/damien/.DCOPserver_gja__0

Veuillez vérifier que le programme " dcopserver " fonctionne !


Que faire ?

Dernière modification par damien (06-03-2009 15:26:45)


logo_3dminfographie_signature.png

Hors ligne

#2 06-03-2009 16:45:57

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : [Résolu] Problème entre Amarok et gnome

Il ne t'aurait pas installé par défaut les paquets recommandés par Amarok ? C'est un comportement détestable de Lenny ! yikes

Tu peux essayer ça :

apt-get remove --purge amarok
apt-get autoremove --purge


Puis dans /etc/apt/apt.conf tu mets :

APT::Install-Suggests "false";
APT::Install-Recommends "false";


Et enfin :

apt-get update
apt-get install amarok


Chez moi il n'installe qu'une vingtaine de paquets !


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#3 06-03-2009 20:01:29

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : [Résolu] Problème entre Amarok et gnome

Merci mani

Je viens de suivre ton explication mais j'aurais du faire ça avant.

mani a écrit :

Chez moi il n'installe qu'une vingtaine de paquets !


Effectivement il n'y a qu'une vingtaine de paquets.
Dommage mais ils sont installés il faut que je trouve tous ces paquets à la con et que je les supprime.
Ces deux commande

apt-get remove --purge amarok
apt-get autoremove --purge


ne les ont pas supprimés

Dernière modification par damien (06-03-2009 20:03:23)


logo_3dminfographie_signature.png

Hors ligne

#4 13-04-2009 22:17:29

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : [Résolu] Problème entre Amarok et gnome

Grace à lapomme d'Andesi j'ai découvert le programme deborphan
la commande deborphan -s amarok me donne

amarok (main/kde)
      amarok-engine-xine
      amarok-common


et la commande deborphan -d -z amarok me donne

amarok, 7228
      amarok-engine-xine
      amarok-common


et voici ce que me donne apt-cache show depends amarok

Depends: amarok-common (= 1.4.10-2), amarok-engine-xine (= 1.4.10-2) | amarok-engine-yauap (= 1.4.10-2), unzip, kdelibs4c2a (>= 4:3.5.9), libc6 (>= 2.7-1), libgcc1 (>= 1:4.1.1), libgl1-mesa-glx | libgl1, libglib2.0-0 (>= 2.12.0), libgpod3-nogtk (>= 0.6.0) | libgpod3 (>= 0.6.0), libifp4, libkarma0, libmtp7, libmysqlclient15off (>= 5.0.27-1), libnjb5, libpq5 (>= 8.3~beta1), libqt3-mt (>= 3:3.3.8b), libruby1.8 (>= 1.8.7.72), libsdl1.2debian (>= 1.2.10-1), libsqlite3-0 (>= 3.5.9), libstdc++6 (>= 4.2.1), libtag1c2a (>= 1.5), libtunepimp5, libusb-0.1-4 (>= 2:0.1.12), libvisual-0.4-0 (>= 0.4.0)
Recommends: amarok-konqsidebar, kdemultimedia-kio-plugins


Je viens de regarder quelques paquets que amarok m'a installé. La plupart commencent par kcmshell * (kcmshell language par exemple)
Je deviens fou mad Je ne sais toujours pas d'où proviennent ces paquets signés KDE (Je doute qu'un prog commencant par kcm viennent de gnome).

D'après ce que me dit deborphan, faut-il que je désinstalle amarok-engine-xine et amarok-common ?

Merci


logo_3dminfographie_signature.png

Hors ligne

#5 14-04-2009 09:38:04

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : [Résolu] Problème entre Amarok et gnome

Le truc bizarre, c'est que je n'ai aucun paquet kcmshell* ou kcm* chez moi, dans les dépôts de Lenny. J'ai cherché dans le contenu des paquets Debian, c'est une commande qui fait partie de kdelibs4c2a. Je ne vois vraiment pas d'où peuvent venir tes paquets.

En tout cas tu peux toujours essayer de supprimer tous les paquets amarok-* pour voir si ça te change quelquechose au niveau du apt-get autoremove (et fais attention avec Deborphan !).

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#6 22-10-2009 17:38:32

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : [Résolu] Problème entre Amarok et gnome

Problème résolu en version squeeze avec un aptitude update puis aptitude full-upgrade.
Il m'a même supprimé les 75 paquets que je n'avais pas demandé qu'il y soit.
Lors de la mise à jour sur squeeze j'ai décidé d'utiliser aptitude chose que j'aurais du faire depuis le début.
On dit que aptitude gère mieux les dépendances. C'est bien vrai.

logo_3dminfographie_signature.png

Hors ligne

Pied de page des forums